import request, { postBlob, getBlob, handleImport } from "@/utils/request";

// 管理列表
export function partsInfoList(data) {
  return request({
    url: `/parts/info/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

export function partsBaseEdit(data) {
  return request({
    url: `/parts/base/edit`,
    method: "post",
    data
  });
}

// 下载模板
export function partsBaseTemplateExcel(data, name) {
  return getBlob({
    url: "/parts/base/template/excel",
    data,
    name
  });
}

export function partsShopStockList(data) {
  return request({
    url: `/parts/shop/stock/list`,
    method: "post",
    data
  });
}

// 管理列表导出
export function partsInfoExport(data, name) {
  return postBlob({
    url: "/parts/info/list/export",
    data,
    name
  });
}

// 管理列表
export function partsBaseList(data) {
  return request({
    url: `/parts/base/list?moduleId=${data.moduleId}`,
    method: "post",
    data
  });
}

// 管理添加
export function partsBaseAdd(data) {
  return request({
    url: `/parts/base/add`,
    method: "post",
    data
  });
}

// 管理列表导出
export function partsBaseExport(data, name) {
  return postBlob({
    url: "/parts/base/list/export",
    data,
    name
  });
}

// 管理列表删除
export function partsBaseDel(params) {
  return request({
    url: "/parts/base/del",
    method: "get",
    params
  });
}

// 管理列表删除
export function partsInfoDel(params) {
  return request({
    url: "/parts/info/del",
    method: "get",
    params
  });
}

// 导入配件资料
export function partsInfoImport(data) {
  return handleImport("parts/info/import", data.formdata, data.id || "");
}

// 导入属性管理
export function attrImport(data) {
  return handleImport("parts/base/attr/import", data.formdata, data.id || "");
}

// 导入类别管理
export function categoryImport(data) {
  return handleImport(
    "parts/base/category/import",
    data.formdata,
    data.id || ""
  );
}

// 导入物料组管理
export function groupImport(data) {
  return handleImport("parts/base/group/import", data.formdata, data.id || "");
}

// 导入专业管理
export function majorImport(data) {
  return handleImport("parts/base/major/import", data.formdata, data.id || "");
}

// 导入类型管理
export function typeImport(data) {
  return handleImport("parts/base/type/import", data.formdata, data.id || "");
}

// 导入单位管理
export function unitImport(data) {
  return handleImport("parts/base/unit/import", data.formdata, data.id || "");
}

// 配件资料添加
export function partsInfoAdd(data) {
  return request({
    url: `/parts/info/add`,
    method: "post",
    data
  });
}

// 配件资料编辑
export function partsInfoEdit(data) {
  return request({
    url: `/parts/info/edit`,
    method: "post",
    data
  });
}

// 配件资料详情
export function partsInfoDetail(params) {
  return request({
    url: "/parts/info/detail",
    method: "get",
    params
  });
}
